# Class HTMLDocument.HTMLReader.FormAction

java.lang.Object
javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
javax.swing.text.html.HTMLDocument.HTMLReader.SpecialAction
javax.swing.text.html.HTMLDocument.HTMLReader.FormAction

Enclosing class:
  `HTMLDocument.HTMLReader`

public class HTMLDocument.HTMLReader.FormAction extends HTMLDocument.HTMLReader.SpecialAction
Action to support forms by building all of the elements used to represent form controls. This will process the <INPUT>, <TEXTAREA>, <SELECT>, and <OPTION> tags. The element created by this action is expected to have the attribute `StyleConstants.ModelAttribute` set to the model that holds the state for the form control. This enables multiple views, and allows document to be iterated over picking up the data of the form. The following are the model assignments for the various type of form elements.

Model assignments for the various types of form elements
Element Type | Model Type
--- | ---
input, type button | `DefaultButtonModel`
input, type checkbox | `JToggleButton.ToggleButtonModel`
input, type image | `DefaultButtonModel`
input, type password | `PlainDocument`
input, type radio | `JToggleButton.ToggleButtonModel`
input, type reset | `DefaultButtonModel`
input, type submit | `DefaultButtonModel`
input, type text or type is null. | `PlainDocument`
select | `DefaultComboBoxModel` or an `DefaultListModel`, with an item type of Option
textarea | `PlainDocument`

## Constructor Summary

Constructors
Constructor
Description
`FormAction()`
Constructs a `FormAction`.

## Method Summary

### Methods declared in class HTMLDocument.HTMLReader.TagAction

`end, start`
Modifier and Type
Method
Description
`void`
`end(HTML.Tag t)`
Called when an end tag is seen for the type of tag this action was registered to.
`void`
`start(HTML.Tag t, MutableAttributeSet a)`
Called when a start tag is seen for the type of tag this action was registered to.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### FormAction

public FormAction()
Constructs a `FormAction`.